New Page 2

This page uses frames, but your browser doesn't support them.


AutoModeEg

Automatic Chords Composition

Songs can be composed very different from composer to composer, therefore it is difficult to find an algorithm to select good accords for all songs, event though each song is limited to one Key. For such reason, Midi Utility puts forward a number of choices for users.

1.Modes for "Melody"

You can select one of possibilities: Complex, Simple, Mixing. The general instruction is: Midi Utility changes accords few in Simple mode, more in Complex mode. Mixing mode is intermediate. You select it case to case for the best result.

2.Modes for "Accords"

You can select either Complex, Normal, Simple or Mixing mode. The general instruction is: these modes use the same algorithm, but differ in some parameters.

With your specific melody, use the result of the better algorithm. Generally, you should choose default setting, and then compare the result with other results created by other modes.

If you input the accords yourself, this still affects the automatic setting of Drum Mode for the measures.


AutoModesVn

Đặt các chế độ tự động soạn hòa âm

Các ca khúc có thể được các tác giả sáng tác rất khác nhau, do vậy khó có thể tìm được một giải thuật chọn tốt các hợp âm cho mọi ca khúc, cho dù là ca khúc đã phải giới hạn chỉ trong một điệu thức. Vì lý do này chương trình Midi Utility đưa ra một số khả năng để người dùng tùy cơ ứng biến.

1.Các chế độ cho "Melody"

Bạn có thể chọn một trong các khả năng: Complex, Simple, Mixing. Hướng dẫn chung là: ở chế độ Simple thì Midi Utility sẽ ít chuyển đổi hợp âm hơn, ở chế độ Complex sẽ chuyển đổi hợp âm nhiều hơn. Chế độ Mixing là trung gian. Bạn sẽ tùy bài mà chọn để được kết quả tốt nhất.

2.Các chế độ cho "Accords"

Bạn có thể chọn một trong các khả năng: Complex, Normal, Simple, Mixing. Hướng dẫn chung là: Các chế độ dùng chung một giải thuật, nhưng chúng khác nhau ở các tham số.

Với giai điệu cụ thể của bạn nếu giải thuật nào cho kết quả tốt hơn thì bạn sử dụng kết quả đó. Thường thì nên để chế độ mặc định đã đặt sẵn, sau đó thử so sánh kết quả mặc định này với các kết quả do các chế độ khác tạo ra.

Nếu bạn tự mình nhập các hợp âm thì các chế độ này vẫn có ảnh hưởng trong việc tự động đặt Drum Mode cho các nhịp.


CaiDatEg

Install the software

Copy files of the software onto a temporary folder, for example C:\Temp
From Windows, run setup.exe in C:\Temp
Follow the instructions of setup.
Setup will create the Midi Utility icon to run the software.
After completing the setup process, you may keep C:\Temp for installing next time, or delete it as you wish.
To uninstall Midi Utility, use "Add/Remove Programs" of Windows in "Control Panel".


CaiDatVn

Cài đặt phần mềm Midi Utility

Chép các files vào một thư mục tạm, ví dụ C:\Temp
Từ Windows chạy trình setup.exe trong thư mục C:\Temp
Làm theo các yêu cầu của trình setup
Trình setup sẽ tạo biểu tượng Midi Utility để chạy chương trình.
Khi setup xong có thể xóa thư mục tạm đi.

Nếu muốn xóa bỏ Midi Utility (uninstall) thì dùng "Add/Remove Programs" của Windows, trong Control Panel.


DanNhapEg

Introduction

If you wish to make a song quickly in the MIDI format by yourself without an Organ Keyboard, this is exactly the software you need.

This is a Fully Automatic Accompaniment Software. It can sort out suitable accords based on the user's melody, create the Intro, Drum fill, Echoes... and know how to end the composition.

After you complete inputting the melody tunes, it helps create the accompaniment in a few seconds, using your desired Cha-cha-cha, Disco, Rumba or Tango...

This is an Automatic Accompaniment Software, which has the Automatic Chords Composition, operating on the imputed melody. To do this, the author applied the most general principles in harmonic theory and experience acquired from practice harmonization for songs, especially Vietnamese ones.

Please contact us for more information. Good success.

Author:
-Nguyen Anh Kiet, 26 LyTuTrong, Dist.1, HCM city, Vietnam. Phone: 8256 264, Email: Akietk@hcm.vnn.vn
-Tran Viet Hung, 5/25/310 NguyenVanCu, GiaLam, Hanoi, Vietnam. Phone: 827 1002, Email: BandHb@hn.vnn.vn

KH Midi Music Ltd. 12/2003, Website: http://www.MidiUtility.com


DanNhapVn

Dẫn nhập

Nếu bạn muốn nhanh chóng tự mình làm ra một ca khúc ở dạng MIDI file (*.mid) mà không phải dùng đến đàn Organ Keyboard thì đây chính là chương trình bạn cần.

Chương trình này là một phần mềm H òa Âm Hoàn Toàn Tự Động. Nó có thể dựa vào các nốt nhạc trong giai điệu của bạn để tìm các hợp âm thích hợp, có thể tự tạo ra phần dạo đầu (Intro), tự biết dồn trống (Drum Fill), tự tạo thêm bè và biết cách kết thúc bản nhạc (Ending)...

Sau khi bạn đã nhập xong các nốt nhạc của giai điệu nó sẽ giúp bạn tạo ra phần hòa âm chỉ trong vài giây đồng hồ theo các điệu bạn muốn như Cha-Cha, Disco, Rhumba, Tango...

Đây là phần mềm tự động hòa âm có chế độ Tự Động Soạn Hòa Âm Theo Giai Điệu. Để giải quyết vấn đề này tác giả đã áp dụng các nguyên tắc chung nhất trong lý thuyết hòa âm, và những kinh nghiệm được đúc kết qua thực tế hòa âm cho các ca khúc, đặc biệt là các ca khúc của các tác giả Việt Nam.

Để biết thêm chi tiết, xin đừng ngần ngại liên hệ với chúng tôi. Chúc các bạn sáng tạo thành công.

Tác giả:
-Nguyễn Anh Kiệt, 26 Lý Tử Trọng, Quận 1, Tp.HCM. Phone: 8256 264, Email: Akietk@hcm.vnn.vn
-Trần Việt Hưng, 5/25/310 Nguyễn Văn Cừ, Gia Lâm, Hà Nội. Phone: 827 1002, Email: BandHb@hn.vnn.vn

"Ka Hát Nhạc Midi" Ltd. 12/2003, Website: http://www.MidiUtility.com


GhiKetQuaEg

Save the result

When you receive a good result after a number of attempts at adjusting modes and instruments, you might wish to save it. When You save the result as .mus file all current Chord Data and Style Setting will be saved to the file too. Files *.mus should be used only for Midi Utility (since V418). When You save the result as .mid, it will be saved as Midi File Type 1. You can use any Midi Player to play saved output midis.


GhiKetQuaVn

Ghi lại kết quả hòa âm

Khi đã đạt được kết quả hòa âm tương đối tốt sau nhiều lần thử các chế độ và chỉnh các nhạc cụ bạn có thể muốn ghi lại kết quả. Nếu Bạn ghi kết quả với đuôi là .mus nội dung hiện tại của Chord Data và Style Setting sẽ được ghi cả vào file. Các tệp tin (files) *.mus là dữ liệu có khuôn dạng riêng, chỉ dùng với Midi Utility (từ V418). Nếu Bạn ghi với đuôi là .mid, kết quả sẽ được ghi theo dạng chuẩn MIDI (Midi File Type 1), Bạn có thể dùng bất cứ một Midi Player nào để nghe lại bài nhạc.


HdChungEg

General Instructions

The software provides quick help in two ways
-The first way is to click on the Help Button
-The second way is available for some functions: if you move the mouse pointer onto the position you need help long enough, the instructions will be displayed.
-To move the Main Panel: hold down the Ctrl-Key and use Mouse to drag the Panel to a new position.
Main Panel and controls:


HdChungVn

Các hướng dẫn chung

Chương trình có cơ chế hướng dẫn nhanh bằng hai cách.
-Cách thứ nhất: bấm vào nút "Help" ở Main Panel.
-Cách thứ hai có cho một số nút chức năng: bạn đưa chuột vào vị trí cần hướng dẫn đủ lâu thì dòng hướng dẫn nhanh sẽ hiện ra.
-Để di chuyển Main Panel: giữ phím Ctrl, rồi dùng chuột kéo Panel đến vị trí mới.

Main Panel và các nút điều khiển:


HdThemEg

Further Instructions

.The musical instruments used for accompaniment may be changed by click the mouse on GM Code of the instruments. Select an instrument from Instrument List then click Ok.

.A musical instrument may be tested by right clicking and holding on GM Code of the instrument.

.The Volume for the musical instruments may be changed by dragging the corresponding volume slider.
.The accompaniment mode of the musical instruments could be changed by clicking on the corresponding "Mode".

Note: Those changes only take effect after clicking "Make".
.The instruments are usually arranged as in the figure to make it easy for adjusting the harmonization.

.The song can be started at measure number n by dragging the pointer so that n appears in "Current measure", then clicking on Play.
.If you wish to change the Tempo, Time signature, Key signature, click on "Start Melody Importer", set new value for Tempo, Time signature, Key signature, then click on "Load-in Melody" or "Generate Music".

.If you wish to change the accords, click on "Chords" to activate "Edit Chord List" dialog. The Chord List appears with the accords that Midi Utility has automatically composed. You might change some or all of the accords. After editing you could save to file for next time use. The extension of the file is .chd. To let Midi Utility use your edited accords, click on "Accept Data", then "Make".

.If you wish to create echoes for the melody automatically, set a number other than 0 in "Echo Level".


HdThemVn

Các hướng dẫn thêm

.Thay đổi các nhạc cụ tham gia hòa âm bằng cách bấm (rồi thả) nút trái của chuột vào ô có mã số (GM.Code) của nhạc cụ. Bạn chọn nhạc cụ trong Instrument List rồi bấm Ok.

.Nghe thử tiếng do nhạc cụ phát ra bằng cách bấm (và giữ, không thả) nút phải của chuột vào ô có mã số của nhạc cụ.

.Chỉnh âm lượng (Volume) cho các nhạc cụ bằng cách kéo con chạy Volume tương ứng với nhạc cụ.
.Thay đổi chế độ hòa âm của nhạc cụ bằng cách bấm vào ô Mode tương ứng với nhạc cụ.

Chú ý: Mọi thay đổi chỉ có hiệu quả sau khi bấm lại nút "Make output", nhạc đang nghe không thay đổi ngay khi chỉnh.
.Các nhạc cụ thường được sắp xếp theo thứ tự như hình vẽ để tiện cho việc cân chỉnh hòa âm.

.Muốn nghe bắt đầu từ nhịp thứ n thì kéo con chạy để ô "Current measure" hiện lên số n, rồi bấm Play.
.Muốn thay đổi Tempo, Time signature, Key signature cho bài, bạn bấm nút "Start Melody Importer", đặt lại giá trị cho các ô Tempo, Time signature, Key signature, sau đó bấm "Load in Melody" (hoặc bấm "Generate Music").

.Muốn sửa các hợp âm dùng cho hòa âm thì bấm nút "Chords". Lúc đó "Chord List" sẽ hiện ra. Bạn có thể sửa một vài hoặc tất cả các hợp âm. Khi sửa xong, bấm "Accept Data". Bạn có thể ghi lại thành file để sử dụng (sửa tiếp) cho lần sau. Đuôi các file này là .chd. Chạy lại "Make output" để tạo kết quả hòa âm theo các hợp âm mới.

.Muốn tự động tạo thêm bè (echoes) cho giai điệu, bạn để trong các ô Echo Level một trị lớn hơn 0.


HeaderEg

How to use Midi Utility

The Automatic Accompaniment Software

1-Introduction
2-Install the software
3-General Instructions
4-How to make an accompaniment for a song
5-Further Instructions
6-Automatic Chords Composition
7-Input/Edit accords
8-Select musical instruments
9-Save the result


HeaderVn

Hướng dẫn sử dụng

phần mềm tự động hòa âm Midi Utility

1-Dẫn nhập
2-Cài đặt phần mềm
3-Hướng dẫn chung
4-Dùng Midi Utility để hòa âm cho một ca khúc
5-Các hướng dẫn thêm
6-Đặt chế độ tự động soạn hòa âm
7-Nhập/Sửa hợp âm và chế độ hòa âm
8-Chọn nhạc cụ để hòa âm
9-Ghi lại kết quả hòa âm


HoaAmEg

Make an accompaniment for a song

To use Midi Utility efficiently, users should get acquainted with Midi: a number of concepts such as Midi File, Midi Track, Midi Channel, General Midi standard; How to edit a composition in Midi format... and a little bit about musical theory such as quadruple time, key signature, crotchet, half-note...

Notes:
Midi Utility is designed to import melody from any midi files of any type. You can edit your melody with any Midi Editor, for example Cakewalk, Encore,... then save it as Midi File Type 1. This midi file will be used as an input for Midi Utility. Or you can import melody directly from any .mid or .kar files.

Steps:
1.Click on the Midi Utility icon, the software is started, and Main Panel appears:

2.Click on "Browse" button to select midi file needed. This file is the song you wish to accompany.

3.Click on "Select option 1" button to select one of Complex, Simple, Mixing, modes and then click on "Load" to load the melody. After it is successfully loaded, the information of the melody will be shown: key, tempo, and rhythm. Based on such information you can select suitable style. If you have load a .mus data file you can go directly from this point to step 6.

4.Click on "Select option 2" button to select either of these modes: Complex, Normal, Simple, Mixing then click on "Proceed" to go to the second step. Since V426, the "Key Manager" dialog appears to help you define keys in input midi song

You can run MU Auto Key Detection or define keys manually for each measure in the song. Number of keys you can define in a song is unlimited. When you are done click "Save" to continue. Midi Utility will automatically compose a list of accords to use for accompaniment.

5.Click on "Styles" to select MU Styles, which have the same rhythm as the melody (for example 4/4), or click "Load User Style" to load an User Style.

6.Click on "Make" to make the accompaniment output.

7.Click on "Test out" and then on "Play" to listen to the song, which has been automatically accompanied in just a few seconds. The output is formatted as (displayed by Midisoft Studio 3.1):

Where:
-Track 1 is exactly the same as the imputed melody,
-Remaining tracks has the words "Ak-Composer" or "Ak-Echo-Part01" due to Midi Utility, which automatically created.

8.To save the result, you need to name the file (with path name) in "Output Path Name", then click on "Save". When You save the result as .mid file You can use a midi editor to load outputted files to view, print, or edit if need. When You save the result as .mus file all current Chord Data and Style Setting will be saved to the file too. Files *.mus should be used only for Midi Utility (since V418).

9.To exit the software, click on the "x" button at the upper right corner of Main Panel


HoaAmVn

Hòa âm cho một ca khúc

Để sử dụng hiệu quả chương trình Midi Utility người dùng cần hiểu chút ít về Midi: một số khái niệm như Midi File, Midi Track, Midi Channel, tiêu chuẩn General Midi...; cách soạn thảo một bài nhạc ở dạng midi... và sơ sơ về nhạc lý như nhịp 4/4, hóa biểu, nốt đen, nốt trắng,...

Chú ý:
Midi Utility được thiết kế để nạp giai điệu từ một bài midi bất kỳ. Bạn có thể soạn giai điệu của bạn bằng một Midi Editor nào đó, ví dụ Cakewalk, Encore,... rồi sau đó ghi lại thành Midi File Type 1. File midi này sẽ dùng làm đầu vào cho Midi Utility. Bạn cũng có thể lấy giai điệu từ một file .mid hoặc .kar có sẵn.

Các bước:
1.Bấm vào biểu tượng Midi Utility, chương trình sẽ bắt đầu khởi động, và Main Panel sẽ hiện ra.

2.Bấm vào nút "Browse" để tìm tên tệp tin .mid cần hòa âm.

3.Bấm nút "Select option 1" để chọn một trong các chế độ Complex, Simple, Mixing rồi bấm nút "Load in" để nạp giai điệu và xử lý bước một. Sau khi nạp thành công sẽ xuất hiện các thông tin về giai điệu đã nạp như: điệu thức (key), tốc độ (tempo), nhịp điệu. Dựa vào các thông tin này bạn có thể chọn kiểu hòa âm (Style) thích hợp. Nếu Bạn đã nạp một file *.mus Bạn có thể chuyển từ đây đến bước 6.

4.Bấm nút "Select option 2" để chọn một trong các chế độ Complex, Normal, Simple, Mixing rồi bấm nút "Proceed" để xử lý bước hai. Từ phiên bản V426, hộp thoại "Key Manager" hiện ra để giúp bạn khai báo các giọng (keys) trong bài midi đầu vào

Bạn có thể sử dụng khả năng tự động tìm giọng của Midi Utility (MU Auto Key Detection), hoặc tự mình khai báo giọng cho từng nhịp bằng tay. Số giọng bạn có thể khai báo trong một bài là không hạn chế. Khi đã làm xong bấm nút "Save" để tiếp tục. Midi Utility sẽ tự động soạn ra một danh sách các hợp âm cần dùng để hòa âm.

5.Bấm nút "Styles" để chọn một trong các kiểu hòa âm kèm theo có cùng nhịp điệu với giai điệu (ví dụ cùng là 4/4), hoặc bấm nút "Load User Style" để nạp một User Style (Kiểu hòa âm do người dùng tạo ra).

6.Bấm nút "Make" để xử lý bước ba.

7.Bấm "Test out" rồi bấm "Play" để nghe bài hát của bạn đã được hòa âm hoàn toàn tự động chỉ trong vài giây đồng hồ. Kết quả ra có dạng như (xem bằng MidiSoft Studio 3.1):

Trong đó:
-Track 1 giống y như ở bài midi đầu vào,
-Các Tracks còn lại có chữ "Ak-Composer" hay "Ak-Echo-Part01"... là do Midi Utility tự động tạo ra.

8.Để ghi lại kết quả bạn cần đặt tên cho file kết quả (có cả đường dẫn) trong khung "Output Path Name", rồi bấm nút "Save". Nếu Bạn ghi kết quả với đuôi là .mid Bạn có thể dùng một Midi Editor nạp file kết quả để xem, in, hoặc sửa tiếp. Nếu Bạn ghi kết quả với đuôi là .mus nội dung hiện tại của Chord Data và Style Setting sẽ được ghi cả vào file. Các tệp tin (files) *.mus là dữ liệu có khuôn dạng riêng, chỉ dùng với Midi Utility (từ V418).

9.Để kết thúc chương trình, bạn bấm vào dấu x phía trên, bên phải của Main Panel.


NhacCuEg

Select musical instruments

For easy use, each style is already set with certain instruments and modes. Such instruments and modes are selected by the author based on Creative Labs Sound Blaster Audigy 2 ZS, using GM SoundFont JnsGm.sf2, size 21MB.
A considerable shortcoming of current MIDI technique is that the same song may sound different on different sound cards. Therefore you might have to select instruments and modes again to get the best effects on your PC.

Selecting instruments is also necessary for the reason that you must express the content of the imputed melody.


NhacCuVn

Chọn nhạc cụ để hòa âm

Để tiện sử dụng mỗi kiểu hòa âm được đặt sẵn các nhạc cụ và các chế độ hòa âm (Mode) cho nhạc cụ. Các nhạc cụ và chế độ này do tác giả chọn trước trên card âm thanh Sound Blaster Audigy 2 ZS của Creative Labs, dùng Bộ Âm Thanh Mẫu General Midi (GM Sound Font) JnsGm.sf2 (có kích thước 21MB).
Một nhược điểm đáng kể của kỹ thuật MIDI hiện nay là cùng một bài nhạc midi nghe lại trên các card âm thanh khác nhau có thể rất khác nhau. Do vậy bạn có thể phải chọn lại các nhạc cụ và các chế độ cho chúng để trên máy của bạn thu được kết quả hòa âm tốt nhất.

Việc chọn lại các nhạc cụ còn cần thiết vì lý do phải thể hiện được nội dung của bài midi đầu vào.


NhapHaEg

Input/ Edit accords

Midi Utility can create accompaniment upon accords inputted by users. To do that, click "Chords", The Chord List Dialog appears for you to view / edit the accords.

Chord Data List is full screen editable. Move the light bar to a position needed then type in Chord, Drum Mode, or Style number. You can hold Ctrl key and press Enter to activate Chord/Drum wizard. You can do block copy/paste chords/drums from a measure to a measure as you do in a standard text editor.

When the editing is done, click "Accept Data", and then "Make" to create new accompaniment output.

Click on "Save to file" to save Chord List to chord data file (*.chd). Click "Load" to load saved chord data file. Click on "Export to text" to export chords to a text file.

There are some Auto-drum fill modes to select:
1."No": No Auto-drum fill
2."Less": Few Auto-drum fills
3."More": Quite a lot Auto-drum fills
4."Full": Auto-drum fills anywhere if possible.
The "Full" is default.

If the drum is accompanied in mode 0, it may auto-pause on some measures.


NhapHaVn

Nhập/ Sửa hợp âm

Midi Utility có thể tạo hòa âm theo các hợp âm do người dùng nhập vào. Muốn vậy bạn bấm nút "Chords" để vào hộp thoại "Edit Chord List".

"Chord List" có thể soạn thảo rất dễ dàng toàn màn hình (Full Screen Editable). Bạn chỉ việc đưa ô sáng vào nơi cần thiết rồi nhập trực tiếp các hợp âm, chế độ trống, kiểu hòa âm cho từng nhịp trong bài. Nếu bạn gặp khó khăn trong việc nhập hợp âm đúng qui định của Midi Utility, bạn giữ phím Ctrl rồi nhấn thêm phím Enter để sử dụng hướng dẫn (wizard). Bạn có thể sao chép các hợp_âm/drum_modes từ nhịp này sang nhịp khác như khi sử dụng một trình soạn thảo văn bản chuẩn.

Khi sửa xong bấm nút "Accept Data" để Midi Utility chuyển các hợp âm thành dữ liệu hòa âm mới. Bấm "Make" để tạo lại hòa âm và bấm "Play" để nghe kết quả mới sửa.

Bấm "Save to file" để lưu "Chord List" thành file trên đĩa (*.chd). Bấm "Load" để nạp lại file đã lưu (*.chd). Bấm "Export to text" đưa "Chord List" ra dạng văn bản.

Bạn có thể chọn một trong các chế độ dồn trống tự động (Auto-drum fill):
1."No": không tự động đặt chỗ dồn trống
2."Less": có rất ít chỗ tự động dồn trống
3."More": có tương đối nhiều chỗ dồn trống
4."Full": dồn trống mọi khi có thể được
Chế độ "Full" là mặc định.

Nếu bộ trống được đặt chế độ hòa âm là 0 thì nó có thể tự động tạm nghỉ ở một vài đoạn trong bài.